import fs from 'fs';
import models from './models';
import * as utils from './common/utils';
import * as constants from './common/constants';
import { createUser } from './resolvers/user';

export const createAdmin = async () => {
  // const existent = await models.User.findByLogin('Admin');
  // console.log('++++ ADMIN existent ++++++++', !!existent);
  // if (existent) await existent.destroy();
  await createUser({
    models,
    username: 'Admin',
    email: 'admin@enface.io',
    password: '111111',
    actionsLeft: 100000000,
    role: constants.USER_ROLE_GOD,
  });
  console.log('++++ ADMIN READY ++++++++');
};

const mockUsers = async () => {
  await createAdmin();
  const names = fs.readFileSync(`${__dirname}/../../random_data/names500.txt`, 'utf8').split('\n');
  const emails = fs.readFileSync(`${__dirname}/../../random_data/emails500.txt`, 'utf8').split('\n');
  emails.forEach(async (email, index) => {
    if (index > 5) return;
    await createUser({
      models,
      username: names[index].trim(),
      email: emails[index].trim(),
      password: '010203',
      actionsLeft: 1000,
      role: constants.USER_ROLE_CLIENT,
    });
  });
};

const mockLiveness = async date => {
  const actionsTime = utils.createTimeInRange(10, 20, 24, date);
  actionsTime.forEach(async time => {
    await models.Liveness.create(
      {
        image: `Image${time}${Math.random()}`,
        result: Math.round(Math.random() * 100) >= 50,
        userId: 1,
        tokenId: 'futureWork',
      }
    );
  });
};

const mockRecognition = async date => {
  const actionsTime = utils.createTimeInRange(10, 20, 24, date);
  actionsTime.forEach(async time => {
    await models.Recognition.create(
      {
        image: `Image${time}${Math.random()}`,
        result: Math.round(Math.random() * 100) >= 50,
      }
    );
  });
};

const mockDocuments = async date => {
  const actionsTime = utils.createTimeInRange(10, 20, 24, date);
  actionsTime.forEach(async time => {
    await models.Documents.create(
      {
        image: `Image${time}${Math.random()}`,
        result: Math.round(Math.random() * 100) >= 50,
      }
    );
  });
};

export const createDatabaseMock = async (date, adminOnly) => {
  createAdmin();
  if (adminOnly) return;
  mockUsers();
  /*
  mockLiveness(date);
  mockRecognition(date);
  mockDocuments(date);
  */
};
