const authBioLink = (sequelize, DataTypes) => {
  const AuthBioLink = sequelize.define('authBioLink', {
    isActive: {
      type: DataTypes.BOOLEAN,
      allowNull: false,
      defaultValue: true,
    },
    userId: {
      type: DataTypes.INTEGER,
      unique: true,
      allowNull: false,
      validate: {
        notEmpty: true,
      },
    },
    bioId: {
      type: DataTypes.UUID,
      unique: true,
      allowNull: false,
      validate: {
        notEmpty: true,
      },
    },
    userPublicKey: {
      type: DataTypes.STRING,
      unique: false,
      allowNull: false,
      // validate: {
      //   notEmpty: true,
      // },
    },
  },
  {
    freezeTableName: true,
  });

  AuthBioLink.findByBioId = bioId => {
    return AuthBioLink.findOne({
      where: { bioId },
    });
  };

  AuthBioLink.findByUserId = userId => {
    return AuthBioLink.findOne({
      where: { userId },
    });
  };

  return AuthBioLink;
};

export default authBioLink;
