const groupMembers = (sequelize, DataTypes) => {
  const GroupMember = sequelize.define('groupMembers', {
    groupId: {
      type: DataTypes.INTEGER,
      unique: false,
      allowNull: false,
      validate: {
        notEmpty: true,
      },
    },
    role: {
      type: DataTypes.INTEGER,
      unique: false,
      allowNull: false,
      validate: {
        notEmpty: true,
      },
    },
  });

  GroupMember.associate = models => {
    GroupMember.belongsTo(models.User, { onDelete: 'CASCADE' });
  };

  GroupMember.findByGroupId = async groupId => {
    return GroupMember.findAll({
      where: { groupId },
    });
  };

  GroupMember.findByGroupIdUserId = async (groupId, userId) => {
    return GroupMember.findOne({
      where: { groupId, userId },
    });
  };

  return GroupMember;
};

export default groupMembers;
