const guestAction = (sequelize, DataTypes) => {
  const GuestActions = sequelize.define('guestActions', {
    sessionId: {
      type: DataTypes.UUID,
      unique: true,
      allowNull: false,
      validate: {
        notEmpty: true,
      },
    },
    action: {
      type: DataTypes.SMALLINT,
      allowNull: true,
    },
    result: {
      type: DataTypes.SMALLINT,
      allowNull: true,
    },
    resultFace: {
      type: DataTypes.SMALLINT,
      allowNull: true,
    },
    resultLive: {
      type: DataTypes.SMALLINT,
      allowNull: true,
    },
    time: {
      type: DataTypes.FLOAT,
      allowNull: true,
    },
  });

  GuestActions.associate = models => {
    GuestActions.belongsTo(models.User);
  };

  GuestActions.findById = async id => {
    return GuestActions.findOne({
      where: { id },
    });
  };

  return GuestActions;
};

export default guestAction;
