const joinRequest = (sequelize, DataTypes) => {
  const JoinRequest = sequelize.define('joinRequest', {
    state: {
      type: DataTypes.INTEGER,
      unique: false,
      allowNull: false,
      validate: {
        notEmpty: true,
      },
    },
    fromUserId: {
      type: DataTypes.INTEGER,
      unique: false,
      allowNull: false,
      validate: {
        notEmpty: true,
      },
    },
  },
  {
    indexes: [
      {
        unique: true,
        fields: ['fromUserId', 'userId'],
      },
      {
        fields: ['userId'],
      },
      {
        fields: ['fromUserId'],
      },
    ],
  });

  JoinRequest.associate = models => {
    JoinRequest.belongsTo(models.User, { onDelete: 'CASCADE' });
  };

  JoinRequest.findByUserId = (fromUserId, userId) => {
    return JoinRequest.findOne({
      where: {
        fromUserId,
        userId,
      },
      order: [
        ['createdAt', 'ASC'],
      ],
    });
  };

  JoinRequest.findById = id => {
    return JoinRequest.findOne({
      where: { id },
    });
  };

  return JoinRequest;
};

export default joinRequest;
