const recognition = (sequelize, DataTypes) => {
  const Recognition = sequelize.define('recognition', {
    embedding: {
      type: DataTypes.STRING(3000),
      unique: true,
      allowNull: false,
      validate: {
        notEmpty: true,
      },
    },
    version: {
      type: DataTypes.FLOAT,
      allowNull: false,
      validate: {
        notEmpty: true,
      },
    },
  },
  {
    freezeTableName: true,
  });

  Recognition.associate = models => {
    Recognition.belongsTo(models.Person, { onDelete: 'CASCADE' });
  };

  return Recognition;
};

export default recognition;
