import { GraphQLDateTime } from 'graphql-iso-date';

import userResolvers from './user';
import userGroupsResolvers from './userGroups';
import joinRequestResolvers from './joinRequest';
import apiKeysResolvers from './apiKeys';
import serviceResolvers from './services';
import serviceLiveness from './serviceLiveness';
import serviceFaceAction from './serviceFaceAction';
import serviceLiveFaceAction from './serviceLiveFaceAction';
import guestAction from './guestAction';
import person from './person';
import authProjects from './authProjects';

const customScalarResolver = {
  Date: GraphQLDateTime,
};

export default [
  customScalarResolver,
  userResolvers,
  userGroupsResolvers,
  joinRequestResolvers,
  serviceResolvers,
  apiKeysResolvers,
  serviceLiveness,
  serviceFaceAction,
  serviceLiveFaceAction,
  guestAction,
  person,
  authProjects,
];
