import { gql } from 'apollo-server-express';

export default gql`
  extend type Query {
    apiKeys: [ApiKey!]
    apiKey(id: ID!): ApiKey
    myApiKeys: [ApiKey!]
  }

  extend type Mutation {
    addApiKey(
      expired: Date!
      actionsLeft: Int!
      serviceId: ID!
    ): ApiKey

    updateApiKey(
      id: ID!
      state: Int!
      expired: Date!
      actionsLeft: Int!
      serviceId: ID!
      userId: ID!
      groupId: ID!
    ): ApiKey!

    myUpdateApiKey(
      id: ID!
      groupId: ID!
    ): ApiKey!
  }

  type ApiKey {
    id: ID!
    state: Int!
    uuid: String!
    expired: Date!
    actionsLeft: Int!
    createdAt: Date!
    updatedAt: Date!
    service: Service!
    user: User!
    group: Group!
  }

  extend type Subscription {
    apiKeyCreated: ApiKeyInfo!
    apiKeyAdded: ApiKeyInfo!
    apiKeyRemoved: ApiKeyInfo!
    apiKeyUpdated: ApiKeyInfo!
  }

  type ApiKeyInfo {
    apiKey: ApiKey!
  }
`;
