import { gql } from 'apollo-server-express';

export default gql`
  extend type Query {
    guestActions: [GuestAction!]
  }

  extend type Mutation {

    signInFace(
      files: [Upload!]!
    ): Token!

    signUpFace(
      files: [Upload!]!
    ): Token!
    
  }

  extend type Subscription {

    guestActionCreated: GuestActionInfo!
    guestActionUpdated: GuestActionInfo!

  }

  type GuestAction {
    id: ID!
    action: Int!
    result: Int
    resultFace: Int
    resultLive: Int
    time: Float
    imageUrl: String!
    imageOriginalUrl: String!
    user: User
    createdAt: Date!
    updatedAt: Date!
  }

  type GuestActionInfo {
    action: GuestAction!
  }

`;
