import { gql } from 'apollo-server-express';

import userSchema from './user';
import guestSchema from './guest';
import userGroupsSchema from './userGroups';
import joinRequestSchema from './joinRequest';
import apiKeySchema from './apiKeys';
import personsSchema from './person';
import serviceSchema from './services';
import serviceLiveness from './serviceLiveness';
import serviceFaceAction from './serviceFaceAction';
import serviceLiveFaceAction from './serviceLiveFaceAction';
import uploadTypeDefs from './uploadSchema';
import authProjectSchema from './authProject';

const linkSchema = gql`
  scalar Date

  type Query {
    _: Boolean
  }

  type Mutation {
    _: Boolean
  }

  type Subscription {
    _: Boolean
  }
`;

export default [
  linkSchema,
  userSchema,
  guestSchema,
  userGroupsSchema,
  joinRequestSchema,
  serviceSchema,
  apiKeySchema,
  serviceLiveness,
  serviceFaceAction,
  serviceLiveFaceAction,
  uploadTypeDefs,
  personsSchema,
  authProjectSchema,
];
