import { gql } from 'apollo-server-express';

export default gql`
  extend type Query {
    myJoinRequests: [JoinRequest!]
    joinRequests: [JoinRequest!]
    members: [JoinRequest!]
  }

  extend type Mutation {
    createJoinRequest(
      email: String!
    ): JoinRequest!

    updateJoinRequest(
      id: ID!
      state: Int!
    ): JoinRequest!
  }

  type JoinRequest {
    id: ID!
    toUser: User!
    fromUser: User!
    state: Int!
    createdAt: Date!
    updatedAt: Date!
  }

  extend type Subscription {
    joinRequestCreated: JoinRequest!
    joinRequestUpdated: JoinRequest!
  }
`;
