import { gql } from 'apollo-server-express';

export default gql`
  extend type Query {

    persons(
      token: String
      groupId: ID
      cursor: String
      limit: Int
    ): PersonsConnection!

  }

  type PersonsConnection {
    edges: [Person!]!
    pageInfo: PageInfo!
  }

  extend type Mutation {

    addPerson(
      apiKey: String!
      files: [Upload!]
      imageURL: String
      version: String
    ): Person

  }

  extend type Subscription {

    personData (
      groupId: ID
    ): Person!

  }

  type Person {
    id: ID!
    uuid: String!
    imageURL: String!
    thumb50x50: String!
    thumb200x200: String!
    createdAt: Date!
    updatedAt: Date!
    apiKey: ApiKey
    group: Group
    user: User
  }

`;
