import { gql } from 'apollo-server-express';

export default gql`
  extend type Query {
    services: [Service!]
    service(id: ID!): Service
    servicesOverview: ServicesOverview
    serviceUsageByHour(
      id: ID!
    ): [ServiceStatsByHour]!
  }

  type Service {
    id: ID!
    name: String!
    withStats: Boolean!
    color: String!
    versions: [[String]!]!
  }

  type ServicesOverview {
    services: [ServiceInfo!]
  }

  type ServiceInfo {
    id: ID!
    name: String!
    totalRequests: Int!
    successRequests: Int!
    failedRequests: Int!
  }
  
  type ServiceStatsByHour {
    hourDelta: Int!
    count: Int!
  }
`;
