import { gql } from 'apollo-server-express';

export default gql`
  extend type Query {
    users: [User!]
    user (
      id: ID!
    ): User
    me: User
  }

  extend type Mutation {
    signUp (
      username: String!
      email: String!
      password: String!
    ): Token!

    signIn (
      email: String!,
      password: String!
    ): Token!
    
    goAvatar (
      files: [Upload!]!
    ): User

    updateUser (
      username: String
      biometricSignIn: Boolean
    ): User!
    
    userSetActive (
      id: ID!
      isActive: Boolean!
    ): User!
    
    userSetAdmin (
      id: ID!
      isAdministrator: Boolean!
    ): User!
    
  }

  type Token {
    token: String!
    statsToken: String!
  }

  type User {
    id: ID!
    isActive: Boolean!
    avatar: String!
    username: String!
    email: String!
    biometricSignIn: Boolean!
    statsHash: String!,
    role: Int!
    createdAt: Date!
    updatedAt: Date!
  }
`;
