export const classify = {
  liveness: {
    default: '1',
    '1': {
      url: process.env.LIVENESS_URL1,
      scoring: [
        { success_strong: 0.005 },
        { success_unsure: 0.01 },
        { success_poor: 0.05 },
        { failed_poor: 0.1 },
        { failed_unsure: 0.5 },
        { failed_strong: 1 },
      ],
    },
    '1.01': {
      url: process.env.LIVENESS_URL1_01,
      scoring: [
        { success_strong: 0.003 },
        { success_unsure: 0.004 },
        { success_poor: 0.005 },
        { failed_poor: 0.1 },
        { failed_unsure: 0.5 },
        { failed_strong: 1 },
      ],
    },
  },
  recognition: {
    default: '1',
    '1': {
      url: process.env.RECOGNITION_URL1,
      scoring: [
        { failed_strong: 0 },
        { success_poor: 57 },
        { success_strong: 84 },
      ],
    },
    '2': {
      url: process.env.RECOGNITION_URL2,
      scoring: [
        { success_strong: 0.4 },
        { success_poor: 0.6 },
        { failed_strong: 100 },
      ],
    },
  },
};

export const instances = [
  {
    id: 1,
    name: 'Liveness',
    tableName: 'liveness',
    public: true,
    withStats: true,
    color: '#447bdc',
    withApiKey: true,
    results: [classify.liveness],
  },
  {
    id: 2,
    name: 'Face recognition',
    tableName: 'faceActions',
    public: true,
    withStats: true,
    color: '#a45ea4',
    withApiKey: true,
    results: [classify.recognition],
  },
  {
    id: 3,
    name: 'Documents recognition',
    tableName: 'documents',
    public: false,
    withStats: true,
    color: '#50ab4f',
    withApiKey: true,
    results: [],
  },
  {
    id: 4,
    name: 'Live face recognition',
    tableName: 'liveFaceActions',
    public: true,
    withStats: true,
    color: '#fc770e',
    withApiKey: true,
    results: [classify.recognition, classify.liveness],
  },
  {
    id: 5,
    name: 'Persons',
    tableName: 'persons',
    public: true,
    withStats: false,
    color: '',
    withApiKey: true,
  },
  {
    id: 6,
    name: 'User login',
    public: false,
    withStats: false,
    color: '',
    withApiKey: false,
  },
  {
    id: 7,
    name: 'User signup',
    public: false,
    withStats: false,
    color: '',
    withApiKey: false,
  },
];
export const SERVICE_ERROR_SERVICE = -1;
export const SERVICE_ERROR_NETWORK = -2;
export const SERVICE_ERROR_SERVER = -3;
export const SERVICE_ERROR_WRONG_RESPONSE = -4;
export const SERVICE_ERROR_BAD_IMAGE = -5;
export const SERVICE_ERROR_LIVENESS = -6;
export const SERVICE_ERROR_NO_SOURCE = -7;
export const SERVICE_ERROR_NO_USER_ID = -8;
export const SERVICE_ERROR_NO_GROUP_ID = -9;
export const SERVICE_ERROR_NO_FACE = -10;
export const SERVICE_ERROR_TOO_FAR = -11;
export const SERVICE_ERROR_TOO_CLOSE = -12;
export const SERVICE_ERROR_UNKNOWN = -13;
export const SERVICE_DELAY_TO_FAIL = 30;
export const { IDENTIX_TOKEN } = process.env;
export const LIVENESS_IMAGES = 3;
export const PERSON_IMAGES_MIN = 1;
export const PERSON_IMAGES_MAX = LIVENESS_IMAGES;
export const AUTH_IMAGES_COUNT = 3;
export const AUTH_BC_IMAGES_COUNT = 1;
export const PAYMENT_IMAGES_COUNT = 1;
export const FACE_IMAGES = 1;
export const LIVE_FACE_IMAGES = LIVENESS_IMAGES;
export const SIGNIN_IMAGES = 1;
export const AVATAR_IMAGES = LIVENESS_IMAGES;
export const FACE_URL_COMPARE = 'https://api.identix.one/v1/utility/compare/';
export const FACE_URL_CREATE = 'https://api.identix.one/v1/persons/';
export const GUEST_ACTION_SIGNIN = 0;
export const GUEST_ACTION_SIGNUP = 1;

export const IDENTIX_EXACT = 100;
export const IDENTIX_HA = 84;
export const IDENTIX_JUNK = 57;
export const IDENTIX_NM = 2;

export const RESULT_PRECISION = 100000000;
